function love.load()
	require("Grav2D")
	local winW , winH = love.graphics.getDimensions()
	love.window.setTitle("Littarly Hello World")
	
	world = love.physics.newWorld(0,0,true)--PART OF YOUR WORLD!
	love.physics.setMeter(10)
	
	sunBody = love.physics.newBody(world,winW/2,winH/2,"dynamic")
	sunShape = love.physics.newCircleShape(100)
	sun = Grav2D.new(sunBody,sunShape,10000)--body,shape,mass
	
	earthBody = love.physics.newBody(world,winW/2,100,"dynamic")
	earthShape = love.physics.newCircleShape(10)
	earth = Grav2D.new(earthBody,earthShape,100)--body,shape,mass
	
	earth.body:applyLinearImpulse(Grav2D.toCartesian(10000,math.pi))--orbital speed
end
function love.update(dt)
	debugTable = earth:applyGrav()--get earth's debug values and update the forces acting upon it
	sun:applyGrav()--update the forces acting upon the sun
	world:update(0.01)--update the world
end

function love.draw()
	
	love.graphics.setColor(255,196,128)
	sun:draw("fill")--love.graphics.circle("fill",sun.x,sun.y,sun.radius)
	love.graphics.setColor(64,64,255)
	earth:draw("fill")--love.graphics.polygon(mode,earth.body:getWorldPoints(earth.shape:getPoints()))
	
	love.graphics.setColor(255,255,255)
	local line = 0
	for key, value in pairs(debugTable) do --print out the debug values
		love.graphics.print(key..": "..value,0,line*15)
		line = line + 1
	end
end